$packageName = 'geforce-game-ready-driver-win10'
$version = '375.95'
$fileType = 'exe'
$silentArgs = '-s -noreboot -clean'
$unpackDir = New-Item "${ENV:TEMP}\nvidiadriver" -ItemType Directory -Force
$unpackFile = "${ENV:TEMP}\nvidiadriver.zip"
$setupFile = Join-Path "$unpackDir" "setup.exe"

$url = "http://us.download.nvidia.com/Windows/375.95/375.95-desktop-win10-32bit-international-whql.exe"
$url64 = "http://us.download.nvidia.com/Windows/375.95/375.95-desktop-win10-64bit-international-whql.exe"


Get-ChocolateyWebFile $packageName $unpackFile $url $url64 -Checksum b331d5870722ffe18292b1a679834264956b7da3a5655c997db2ca2f720f59b6 -ChecksumType 'sha256' -Checksum64 b331d5870722ffe18292b1a679834264956b7da3a5655c997db2ca2f720f59b6 -ChecksumType64 'sha256'
Get-ChocolateyUnzip $unpackFile $unpackDir
Remove-Item $unpackDir\Update.Core -Recurse -Force
Remove-Item $unpackDir\Display.Update -Recurse -Force
Remove-Item $unpackDir\ShadowPlay -Recurse -Force
Install-ChocolateyInstallPackage $packageName $fileType $silentArgs $setupFile
Remove-Item $unpackDir -Recurse -Force
